%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d
%define svn 956

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	4.1.1
Release:	%mkrel 0.%svn.2
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.mplayerhq.hu
Source0:	http://prdownloads.sourceforge.net/dvd/%{name}-%{svn}.tar.bz2
Patch: libdvdnav-956-soname.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libdvdread-devel

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
# dvdnav/dvdnav.h includes files from dvdread, but dvdnav is not linked
# against dvdread, thus this manual require. -Anssi 10/2007
Requires:	%{mklibname -d dvdread}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep

%setup -q -n %name
%patch

%build
./configure2 --prefix=%_prefix --libdir=%_libdir
make
./configure2 --prefix=%_prefix --libdir=%_libdir --with-dvdread=%_includedir/dvdread
make

%install
rm -rf %{buildroot}
%makeinstall_std
#gw remove buildroot
perl -pi -e "s^%buildroot^^" %buildroot%_bindir/dvdnav-config
%multiarch_binaries %{buildroot}%{_bindir}/dvdnav-config
cp obj/libdvdnav.so %buildroot%_libdir/libdvdnav.so.4.0.0
ln -s %_libdir/libdvdnav.so.4.0.0 %buildroot%_libdir/libdvdnav.so.4
ln -s %_libdir/libdvdnav.so.4.0.0 %buildroot%_libdir/libdvdnav.so
%if %_lib != lib
mv %buildroot%_prefix/lib/lib* %buildroot%_libdir/
%endif

%post -n %{libname} -p /sbin/ldconfig 

%postun -n %{libname} -p /sbin/ldconfig 

%clean
rm -r %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libdvdnavmini.so.%{major}*
%{_libdir}/libdvdnav.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{_bindir}/*/dvdnav-config
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.so
%_libdir/libdvdnavmini.a
%{_includedir}/dvdnav/


%changelog
* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 4.1.1-0.956.2mdv2008.1
+ Revision: 103585
- add requires on libdvdread-devel into libdvdnav-devel

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 4.1.1-0.956.1mdv2008.1
+ Revision: 96551
- fix installation
- readd libdvdnav.so
- fix soname
- switch to mplayer fork of dvdnav
- update file list

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.10-6mdv2008.0
+ Revision: 76794
- new devel naming


* Thu Oct 26 2006 Götz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.0
+ Revision: 72723
- Import libdvdnav

* Thu Oct 26 2006 Gtz Waschk <waschk@mandriva.org> 0.1.10-5mdv2007.1
- rebuild

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1.10-4mdk
- Rebuild

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-3mdk
- multiarch support

* Sat Oct 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-2mdk
- Patch0 (CVS): fix crash with DVD without first play chain

* Sat Jun 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-1mdk
- major 4
- add new file
- add source URL
- New release 0.1.10

